Index: code/trunk/src/external/bullet/BulletCollision/BroadphaseCollision/btAxisSweep3.h
===================================================================
--- code/trunk/src/external/bullet/BulletCollision/BroadphaseCollision/btAxisSweep3.h	(revision 8351)
+++ code/trunk/src/external/bullet/BulletCollision/BroadphaseCollision/btAxisSweep3.h	(revision 8393)
@@ -17,6 +17,6 @@
 // 3. This notice may not be removed or altered from any source distribution.
 
-#ifndef AXIS_SWEEP_3_H
-#define AXIS_SWEEP_3_H
+#ifndef BT_AXIS_SWEEP_3_H
+#define BT_AXIS_SWEEP_3_H
 
 #include "LinearMath/btVector3.h"
Index: code/trunk/src/external/bullet/BulletCollision/BroadphaseCollision/btBroadphaseInterface.h
===================================================================
--- code/trunk/src/external/bullet/BulletCollision/BroadphaseCollision/btBroadphaseInterface.h	(revision 8351)
+++ code/trunk/src/external/bullet/BulletCollision/BroadphaseCollision/btBroadphaseInterface.h	(revision 8393)
@@ -14,6 +14,6 @@
 */
 
-#ifndef		BROADPHASE_INTERFACE_H
-#define 	BROADPHASE_INTERFACE_H
+#ifndef		BT_BROADPHASE_INTERFACE_H
+#define 	BT_BROADPHASE_INTERFACE_H
 
 
@@ -80,3 +80,3 @@
 };
 
-#endif //BROADPHASE_INTERFACE_H
+#endif //BT_BROADPHASE_INTERFACE_H
Index: code/trunk/src/external/bullet/BulletCollision/BroadphaseCollision/btBroadphaseProxy.h
===================================================================
--- code/trunk/src/external/bullet/BulletCollision/BroadphaseCollision/btBroadphaseProxy.h	(revision 8351)
+++ code/trunk/src/external/bullet/BulletCollision/BroadphaseCollision/btBroadphaseProxy.h	(revision 8393)
@@ -14,6 +14,6 @@
 */
 
-#ifndef BROADPHASE_PROXY_H
-#define BROADPHASE_PROXY_H
+#ifndef BT_BROADPHASE_PROXY_H
+#define BT_BROADPHASE_PROXY_H
 
 #include "LinearMath/btScalar.h" //for SIMD_FORCE_INLINE
@@ -267,4 +267,4 @@
 
 
-#endif //BROADPHASE_PROXY_H
-
+#endif //BT_BROADPHASE_PROXY_H
+
Index: code/trunk/src/external/bullet/BulletCollision/BroadphaseCollision/btCollisionAlgorithm.h
===================================================================
--- code/trunk/src/external/bullet/BulletCollision/BroadphaseCollision/btCollisionAlgorithm.h	(revision 8351)
+++ code/trunk/src/external/bullet/BulletCollision/BroadphaseCollision/btCollisionAlgorithm.h	(revision 8393)
@@ -14,6 +14,6 @@
 */
 
-#ifndef COLLISION_ALGORITHM_H
-#define COLLISION_ALGORITHM_H
+#ifndef BT_COLLISION_ALGORITHM_H
+#define BT_COLLISION_ALGORITHM_H
 
 #include "LinearMath/btScalar.h"
@@ -45,5 +45,5 @@
 	btPersistentManifold*	m_manifold;
 
-	int	getDispatcherId();
+//	int	getDispatcherId();
 
 };
@@ -60,5 +60,5 @@
 
 protected:
-	int	getDispatcherId();
+//	int	getDispatcherId();
 	
 public:
@@ -78,3 +78,3 @@
 
 
-#endif //COLLISION_ALGORITHM_H
+#endif //BT_COLLISION_ALGORITHM_H
Index: code/trunk/src/external/bullet/BulletCollision/BroadphaseCollision/btDispatcher.h
===================================================================
--- code/trunk/src/external/bullet/BulletCollision/BroadphaseCollision/btDispatcher.h	(revision 8351)
+++ code/trunk/src/external/bullet/BulletCollision/BroadphaseCollision/btDispatcher.h	(revision 8393)
@@ -14,7 +14,6 @@
 */
 
-#ifndef _DISPATCHER_H
-#define _DISPATCHER_H
-
+#ifndef BT_DISPATCHER_H
+#define BT_DISPATCHER_H
 #include "LinearMath/btScalar.h"
 
@@ -28,4 +27,5 @@
 class btPersistentManifold;
 class btStackAlloc;
+class btPoolAllocator;
 
 struct btDispatcherInfo
@@ -41,5 +41,5 @@
 		m_dispatchFunc(DISPATCH_DISCRETE),
 		m_timeOfImpact(btScalar(1.)),
-		m_useContinuous(false),
+		m_useContinuous(true),
 		m_debugDraw(0),
 		m_enableSatConvex(false),
@@ -49,5 +49,4 @@
 		m_useConvexConservativeDistanceUtil(false),
 		m_convexConservativeDistanceThreshold(0.0f),
-		m_convexMaxDistanceUseCPT(false),
 		m_stackAllocator(0)
 	{
@@ -66,5 +65,4 @@
 	bool		m_useConvexConservativeDistanceUtil;
 	btScalar	m_convexConservativeDistanceThreshold;
-	bool		m_convexMaxDistanceUseCPT;
 	btStackAlloc*	m_stackAllocator;
 };
@@ -99,4 +97,8 @@
 	virtual	btPersistentManifold**	getInternalManifoldPointer() = 0;
 
+	virtual	btPoolAllocator*	getInternalManifoldPool() = 0;
+
+	virtual	const btPoolAllocator*	getInternalManifoldPool() const = 0;
+
 	virtual	void* allocateCollisionAlgorithm(int size)  = 0;
 
@@ -106,3 +108,3 @@
 
 
-#endif //_DISPATCHER_H
+#endif //BT_DISPATCHER_H
Index: code/trunk/src/external/bullet/BulletCollision/BroadphaseCollision/btOverlappingPairCache.h
===================================================================
--- code/trunk/src/external/bullet/BulletCollision/BroadphaseCollision/btOverlappingPairCache.h	(revision 8351)
+++ code/trunk/src/external/bullet/BulletCollision/BroadphaseCollision/btOverlappingPairCache.h	(revision 8393)
@@ -14,6 +14,6 @@
 */
 
-#ifndef OVERLAPPING_PAIR_CACHE_H
-#define OVERLAPPING_PAIR_CACHE_H
+#ifndef BT_OVERLAPPING_PAIR_CACHE_H
+#define BT_OVERLAPPING_PAIR_CACHE_H
 
 
@@ -465,5 +465,5 @@
 
 
-#endif //OVERLAPPING_PAIR_CACHE_H
-
-
+#endif //BT_OVERLAPPING_PAIR_CACHE_H
+
+
Index: code/trunk/src/external/bullet/BulletCollision/BroadphaseCollision/btQuantizedBvh.h
===================================================================
--- code/trunk/src/external/bullet/BulletCollision/BroadphaseCollision/btQuantizedBvh.h	(revision 8351)
+++ code/trunk/src/external/bullet/BulletCollision/BroadphaseCollision/btQuantizedBvh.h	(revision 8393)
@@ -14,6 +14,6 @@
 */
 
-#ifndef QUANTIZED_BVH_H
-#define QUANTIZED_BVH_H
+#ifndef BT_QUANTIZED_BVH_H
+#define BT_QUANTIZED_BVH_H
 
 class btSerializer;
@@ -577,3 +577,3 @@
 
 
-#endif //QUANTIZED_BVH_H
+#endif //BT_QUANTIZED_BVH_H
Index: code/trunk/src/external/bullet/BulletCollision/BroadphaseCollision/btSimpleBroadphase.h
===================================================================
--- code/trunk/src/external/bullet/BulletCollision/BroadphaseCollision/btSimpleBroadphase.h	(revision 8351)
+++ code/trunk/src/external/bullet/BulletCollision/BroadphaseCollision/btSimpleBroadphase.h	(revision 8393)
@@ -14,6 +14,6 @@
 */
 
-#ifndef SIMPLE_BROADPHASE_H
-#define SIMPLE_BROADPHASE_H
+#ifndef BT_SIMPLE_BROADPHASE_H
+#define BT_SIMPLE_BROADPHASE_H
 
 
@@ -168,4 +168,4 @@
 
 
-#endif //SIMPLE_BROADPHASE_H
+#endif //BT_SIMPLE_BROADPHASE_H
 
